Subject: Re: Router stops routing after changing MAC Address

From: Stephen Hemminger <[email-masked]>
Date: Thu, 16 Mar 2006 09:55:08 -0800

On Thu, 16 Mar 2006 08:07:43 -0800
Chris Wedgwood <[email-masked]> wrote:

> On Mon, Mar 13, 2006 at 10:00:41AM -0800, Stephen Hemminger wrote:
> 
> > There still is a bug in the 3c59x driver.  It doesn't include any
> > code to handle changing the mac address.  It will work if you take
> > the device down, change address, then bring it up. But you shouldn't
> > have to do that.
> 
> I sent a patch do to this probably a year or two back and it was
> rejected (by akpm if I recall) because of the argument that you could
> and should take it down, change the MAC and bring it back up.
> 
> Is this no longer a requirement?

No. most drivers allow changes on the fly.